-- pakiet ini2xml_wy.adb 
-- specyfikacja
with Ada.text_IO; use Ada.Text_IO;
with Ada.Strings; use Ada.Strings;
with Ada.Strings.Fixed; use Ada.Strings.Fixed;


package body Ini2Xml_Wy is

  Pl_Wy: File_Type;
  
  --------------------
  -- Otworz_Plik_Wy --
  --------------------

  procedure Otworz_Plik_Wy (Nazwa_Pliku_Wy: String) is
  begin
    Create(Pl_Wy,Out_File,Nazwa_Pliku_Wy);
  end Otworz_Plik_Wy;
  
  ---------------------
  -- Zamknij_Plik_Wy --
  ---------------------

  procedure Zamknij_Plik_Wy is
  begin
    Close(Pl_Wy);
  end Zamknij_Plik_Wy;

  -------------------
  -- Kasuj_Plik_Wy --
  -------------------

  procedure Kasuj_Plik_Wy is
  begin
    Delete(Pl_Wy); 
  end Kasuj_Plik_Wy;

  -------------------
  -- Pisz_Plik_Wy --
  -------------------

  procedure Pisz_Plik_Wy (S: String) is
  begin
    Put_Line(Pl_Wy,S);
  end Pisz_Plik_Wy;

  --------------------------
  -- US czyli Usun Spacje --
  --------------------------  

  function US(S:String) return String is
  begin
    return Trim(S,Both);
  end US;  


end Ini2Xml_Wy;

