-- i2x_skan.adb
-- pakiet 

with Ada.Text_IO; use Ada.Text_IO;
with Ada.Characters.Handling; use Ada.Characters.Handling;

package body I2x_Skan is
   
Dl_Lin: constant Integer:=1000;
linia: string(1..Dl_Lin);
poz: Integer:=0;
dlug: Integer:=0;
zn: Character:=' ';
Pl_We : File_Type;

  --------------------
  -- Otworz_Plik_Wy --
  --------------------

  procedure Otworz_Plik_We (Nazwa_Pliku_We: String) is
  begin
    Open(Pl_We,In_File,Nazwa_Pliku_We);
  exception
    when Name_Error=> New_Line; Put_LIne("*** Brak pliku we o nazwie 'a.ini' "); raise;
  end Otworz_Plik_We;
  
  ---------------------
  -- Zamknij_Plik_Wy --
  ---------------------

  procedure Zamknij_Plik_We is
  begin
    Close(Pl_We);
  end Zamknij_Plik_We;
  
   ------------------
   -- Pobierz_Znak --
   ------------------
  
  function Pobierz_Znak(DoNL: Boolean:=False) return Character is
  begin
    if dlug=poz or DoNL then 
      loop 
        if not End_Of_File(Pl_We) then 
          Get_Line(Pl_We,linia,dlug);
          Nr_Linii:=Nr_Linii+1;
          exit when dlug >0;
        else  return Character'Val(0);  
        end if;
      end loop; 
      poz:=0;
    end if;
    poz:=poz+1;
    Nr_Kol:=poz;
    -- put_line("***  l="&Integer'Image(poz)& " zn= >"&linia(poz)&"<");
    return linia(poz);
  end Pobierz_Znak;

   ------------
   -- Skanuj --
   ------------

  function Skanuj return Token_Typ is
    l: Integer:=0;
    Buf: String(1..Dl_Tok):=(others=>' ');
    lw:Integer:=0;
  begin
    -- pomijanie spacji, tab i komentarza typu ';'
    loop
      if zn=' ' or zn=Character'Val(10) then zn:=Pobierz_Znak;
      elsif zn=';' then zn:=Pobierz_Znak(True);
      else exit;
      end if;
    end loop;
    -- identyfikator 'Nazwa'
    if (Is_Letter(zn) or zn='_') then
      l:=l+1;
      Buf(l):=zn;
      loop
        Zn:=Pobierz_Znak;
        if not(Is_Alphanumeric(zn) or zn='_' ) then exit;
        end if;
        l:=l+1;
        if l>Dl_Tok then Nr_Bledu_Skan:=2; raise Blad_Skanera;
        end if;
        Buf(l):=zn;
      end loop;
      return (Kod=>Nazwa,Wart=>Buf);
    -- 'Liczba'  
    elsif Is_Digit(zn)  then
      l:=l+1;
      Buf(l):=zn;  
      loop
        Zn:=Pobierz_Znak;
        if not(Is_Digit(zn) ) then exit;
        end if;
        l:=l+1;
        if l>Dl_Tok then Nr_Bledu_Skan:=3; raise Blad_Skanera;
        end if;
        Buf(l):=zn;
      end loop;
      lw:=Integer'Value(Buf);
      return (Kod=>Liczba,Wart=>Buf);
    -- 'Napis'    
    elsif zn='"' then 
      Zn:=Pobierz_Znak;
      if Zn=Character'Val(0) then Nr_Bledu_Skan:=0; raise Blad_Skanera;
      end if;
      if not(Is_Letter(zn) or zn='_') then Nr_Bledu_Skan:=4; raise Blad_Skanera;
      end if;
      l:=l+1;
      Buf(l):=zn;
      loop
        zn:=Pobierz_Znak; 
        --exit when Zn='"';
        if Zn='"' then 
          zn:=Pobierz_Znak;
          if Zn='"' then
            null;
          else
            exit;  
          end if;
        else
          null; 
        end if;
        if Zn=Character'Val(0) then Nr_Bledu_Skan:=0; raise Blad_Skanera;
        end if;
        if not(Is_Alphanumeric(zn) or zn='_') then Nr_Bledu_Skan:=5; raise Blad_Skanera;
        end if;
        l:=l+1;
        Buf(l):=zn;
      end loop;
      --Zn:=Pobierz_Znak;
      return (Kod=>Napis,Wart=>Buf);
    elsif zn='=' then Zn:=Pobierz_Znak; return (Kod=>Rowne,Wart=>Buf);  
    elsif zn=',' then Zn:=Pobierz_Znak; return (Kod=>Przecinek,Wart=>Buf); 
    elsif zn='[' then Zn:=Pobierz_Znak; return (Kod=>LewyNawiasKw,Wart=>Buf);
    elsif zn=']' then Zn:=Pobierz_Znak; return (Kod=>PrawyNawiasKw,Wart=>Buf);
   
    elsif zn=Character'Val(0) then return (Kod=>KoniecPl,Wart=>Buf);
    else Nr_Bledu_Skan:=9; raise Blad_Skanera; 
    end if; 
    end Skanuj;
end i2x_skan;

